Package groovy.util.slurpersupport

# Class NoChildren

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.util.slurpersupport.GPathResult
groovy.util.slurpersupport.NoChildren

All Implemented Interfaces:
  `Buildable`, `GroovyObject`, `Writable`, `Iterable`

public class NoChildren extends GPathResult
Lazy evaluated representation of a GPath expression returning no children. As this class represents a GPath expression with no results, all methods are either NOPs or return an empty result.

Author:
  John Wilson

## Field Summary

### Fields inherited from class groovy.util.slurpersupport.GPathResult

`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

## Constructor Summary

Constructors
Constructor
Description
`NoChildren(GPathResult parent, String name, Map<String,String> namespaceTagHints)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appendNode(Object newValue)`
NOP
`boolean`
`asBoolean()`
Returns `false`.
`void`
`build(GroovyObject builder)`
NOP
`Iterator`
`childNodes()`
Returns an empty `Iterator`.
`GPathResult`
`find(Closure closure)`
Returns `this`.
`GPathResult`
`findAll(Closure closure)`
Returns `this`.
`Iterator`
`iterator()`
Returns an empty `Iterator`.
`Iterator`
`nodeIterator()`
Returns an empty iterator.
`GPathResult`
`parents()`
Throws a `GroovyRuntimeException`, because it is not implemented yet.
`protected void`
`replaceBody(Object newValue)`
NOP
`protected void`
`replaceNode(Closure newValue)`
NOP
`int`
`size()`
Returns `0`.
`String`
`text()`
Returns an empty `String`.
`Writer`
`writeTo(Writer out)`
Does not write any output, just returns the writer.

### Methods inherited from class groovy.util.slurpersupport.GPathResult

`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### NoChildren

public NoChildren(GPathResult parent, String name, Map<String,String> namespaceTagHints)

Parameters:
  `parent` - the GPathResult prior to the application of the expression creating this GPathResult
  `name` - if the GPathResult corresponds to something with a name, e.g. a node
  `namespaceTagHints` - the known tag to namespace mappings

## Method Details

### size

public int size()
Returns `0`.

Specified by:
  `size` in class `GPathResult`
Returns:
  `0`

### text

public String text()
Returns an empty `String`.

Specified by:
  `text` in class `GPathResult`
Returns:
  an empty `String`

### parents

public GPathResult parents()
Throws a `GroovyRuntimeException`, because it is not implemented yet.

Specified by:
  `parents` in class `GPathResult`
Returns:
  the parents of this GPathResult

### childNodes

public Iterator childNodes()
Returns an empty `Iterator`.

Specified by:
  `childNodes` in class `GPathResult`
Returns:
  an empty `Iterator`

### iterator

public Iterator iterator()
Returns an empty `Iterator`.

Specified by:
  `iterator` in interface `Iterable`
Specified by:
  `iterator` in class `GPathResult`
Returns:
  an empty `Iterator`

### find

public GPathResult find(Closure closure)
Returns `this`.

Specified by:
  `find` in class `GPathResult`
Parameters:
  `closure` - a closure to filters the children of this GPathResult
Returns:
  `this`

### findAll

public GPathResult findAll(Closure closure)
Returns `this`.

Specified by:
  `findAll` in class `GPathResult`
Parameters:
  `closure` - a closure to filters the children of this GPathResult
Returns:
  `this`

### nodeIterator

public Iterator nodeIterator()
Returns an empty iterator.

Specified by:
  `nodeIterator` in class `GPathResult`
Returns:
  an empty iterator

### writeTo

public Writer writeTo(Writer out) throws IOException
Does not write any output, just returns the writer.

Parameters:
  `out` - the Writer to which this Writable should output its data.
Returns:
  the `Writer` which was passed in
Throws:
  `IOException` - if an error occurred while outputting data to the writer

### build

public void build(GroovyObject builder)
NOP

### replaceNode

protected void replaceNode(Closure newValue)
NOP

Specified by:
  `replaceNode` in class `GPathResult`

### replaceBody

protected void replaceBody(Object newValue)
NOP

Specified by:
  `replaceBody` in class `GPathResult`

### appendNode

protected void appendNode(Object newValue)
NOP

Specified by:
  `appendNode` in class `GPathResult`

### asBoolean

public boolean asBoolean()
Returns `false`.

Returns:
  `false`